---
title: HTMLTableElement.cellSpacing
slug: Web/API/HTMLTableElement/cellSpacing
tags:
  - API
  - HTML DOM
  - HTMLTableElement
  - NeedsSpecTable
  - Obsolete
  - Property
  - Reference
  - cellSpacing
---
<div>
<div>
<div>{{APIRef("HTML DOM")}}{{obsolete_header}}</div>
</div>
</div>

<p><span class="seoSummary">While you should instead use the CSS {{cssxref("border-spacing")}} property, the obsolete {{domxref("HTMLTableElement")}} interface's <code><strong>cellSpacing</strong></code> property represents the spacing around the individual {{HTMLElement("th")}} and {{HTMLElement("td")}} elements representing a table's cells.</span> Any two cells are separated by the sum of the <code>cellSpacing</code> of each of the two cells.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLTableElement</em>.cellSpacing = <em>spacing</em>;
var <em>spacing</em> = <em>HTMLTableElement</em>.cellSpacing;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} which is either a number of pixels (such as <code>"10"</code>) or a percentage value (like <code>"10%"</code>).</p>

<h2 id="Example">Example</h2>

<p>This example sets cell spacing for a given table to 10 pixels.</p>

<pre class="brush:js">var t = document.getElementById('TableA');
t.cellSpacing = "10";</pre>

<h2 id="Specifications">Specifications</h2>

<ul>
	<li>W3C DOM 2 HTML Specification <a class="external" href="http://www.w3.org/TR/DOM-Level-2-HTML/html.html#ID-68907883"><em>HTMLTableElement</em> .cellSpacing</a>.</li>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLTableElement.cellSpacing")}}</p>
</div>
